org.eclipse.ease.modules

## Class ModuleHelper

- java.lang.Object
- - org.eclipse.ease.modules.ModuleHelper

    public final class ModuleHelper
    extends Object

### Method Summary

All Methods Static Methods Concrete Methods
`static List<Field>` `getFields(Class<?> clazz)` Returns a List of exported fields.
`static Collection<ModuleDefinition>` `getLoadedModules(IScriptEngine engine)` Get all loaded modules for a given script engine.
`static List<Method>` `getMethods(Class<?> clazz)` Returns a list of exported methods.
`static List<ICodeFactory.Parameter>` `getParameters(Method method)`
`static boolean` `isDeprecated(AccessibleObject element)` Check deprecation status of a method/field.
`static String` `resolveName(String identifier)` Resolve a relative module name to its absolute name.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getMethods

    public static List<Method> getMethods(Class<?> clazz)

Returns a list of exported methods. Any public method marked by a @WrapToScript annotation is exported. If no annotations are found all public methods are returned.

Parameters:
  `clazz` - class to be evaluated
Returns:
  list of methods

#### getFields

    public static List<Field> getFields(Class<?> clazz)

Returns a List of exported fields. Any public final field marked by a @WrapToScript annotation is exported. If no annotations are found all public final fields are returned.

Parameters:
  `clazz` - Class to be evaluated
Returns:
  List of Fields

#### resolveName

    public static String resolveName(String identifier)

Resolve a relative module name to its absolute name. When only the last part of a module name is provided (without path), this method tries to locate the module and returns its absolute path. If 2 modules with the same name are detected, a `RuntimeException` is thrown.

Parameters:
  `identifier` - module identifier
Returns:
  absolute module name

#### getLoadedModules

    public static Collection<ModuleDefinition> getLoadedModules(IScriptEngine engine)

Get all loaded modules for a given script engine.

Parameters:
  `engine` - engine to parse
Returns:
  module definitions for all loaded modules

#### getParameters

    public static List<ICodeFactory.Parameter> getParameters(Method method)

#### isDeprecated

    public static boolean isDeprecated(AccessibleObject element)

Check deprecation status of a method/field.

Parameters:
  `element` - method/field to check
Returns:
  `true` when deprecated